PrintException (Java SE 9 & JDK 9 )
Keywords: javax.print.PrintException class

Module java.desktop
Package javax.print

## Class PrintException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.print.PrintException

- All Implemented Interfaces:
    `Serializable`

      public class PrintException
      extends Exception

  Class PrintException encapsulates a printing-related error condition that occurred while using a Print Service instance. This base class furnishes only a string description of the error. Subclasses furnish more detailed information if applicable.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrintException​()` | Construct a print exception with no detail message.
    `PrintException​(Exception e)` | Construct a print exception chaining the supplied exception.
    `PrintException​(String s)` | Construct a print exception with the given detail message.
    `PrintException​(String s, Exception e)` | Construct a print exception with the given detail message and chained exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### PrintException

          public PrintException​()

      Construct a print exception with no detail message.

    - #### PrintException

          public PrintException​(String s)

      Construct a print exception with the given detail message.
      Parameters:
        `s` - Detail message, or null if no detail message.

    - #### PrintException

          public PrintException​(Exception e)

      Construct a print exception chaining the supplied exception.
      Parameters:
        `e` - Chained exception.

    - #### PrintException

          public PrintException​(String s,
                                Exception e)

      Construct a print exception with the given detail message and chained exception.
      Parameters:
        `s` - Detail message, or null if no detail message.
        `e` - Chained exception.